Microwave filters GUI 2.0.3

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Packages
- Package Functions

Classes | Functions | Variables
mwfiltersgui Namespace Reference

Graphical User Interface. More...

## Classes
class | EnergyDbPlot
| Class derived from DbPlot to allow adding some widgets for plotting energy and power. More...
class | TempVarDlg
| Widget to ask the user for temperature variation parameters. More...
class | SpecMask
| Specification mask class. More...
class | Stouchstone
| [S] parameters class, as read from Touchstone file. More...
class | myTableWidget
| Subclass for: More...
class | MainWindow
| GUI main window class. More...
class | HelpForm
| GUI dialog to display help. More...
class | SetCouplingDlg
| Dialog to set the type of a coupling. More...
class | MatrixEditDlg
| GUI dialog to edit coupling matrix. More...
class | PredisZeorsDlg
| Dialog to select predistortion zeros. More...
class | SensitivityAnalysis
| Class for sensitivity analysis. More...
class | CouplingMatrixDlg
| GUI dialog to show coupling matrices. More...
class | ParamEditDlg
| GUI dialog to edit synthesis parameters. More...

## Functions
def | __init__
| Derived class constructor.
def | updateInputPower
| Update energy and power plots after inputPower value has been changed by the user.
def | updateExcitation
| Update energy and power plots after excitation value has been changed by the user.
def | appendReverseData
| Set YData for reverse excitation.
def | replaceReverseData
| Replace YData for reverse excitation.
def | sizeHint
def | runSynthesis
| Runs parameter validation, filters synthesis and results plots.
def | usage
| Print error message and command line help.

## Variables
string | MAC = "qt_mac_set_native_menubar"
| Global variable useful only for Mac OS X.
| importedExtraFilters = False
| Variable set to True if the non-free libextrafilters is available.
| importedLossyFilters = False
| Variable set to True if the non-free liblossyfilters is available.
string | applicationName = "Microwave filters GUI"
| Program name as run by the user.
list | fileName = args[0]
| Name of the parameters file to process.
tuple | P = readParamFile(fileName)
| Parameters class instance containing filter and synthesis parameters read from the parameters file.
tuple | FT = FrequencyTransformBP(P)
| Create frequency transform instance.
string | stFloatPoint = r'((\d+\.?\d*|\d*\.?\d+)([Ee][-+]?\d+)?)'
| Create validator strings and regular expressions.
tuple | app = QApplication(QtArgs)
| QApplication class instance, containing our application.

## Detailed Description

Graphical User Interface.

Author
  J.M. Rius, J. Mateu, J.M. Tamayo, C. Collado, A. Padilla and J. O'Callaghan.

Dpt. Signal Tehory and Communications, Universitat Politècnica de Catalunya (UPC),

Version
  2.0.3

Date
  June 11, 2013

Acknowledgement: The software was developed in the frame of contract 21398/08/NL/GLC with the European Space Agency (ESA). Technical Offer was Christoph Ernst. Further features were developed under contract UPC-C7767 with Thales Alenia Space España (TAS-E). Contributions to the definition of the software functionality and testing have been made by Christoph Ernst, Mónica Martínez Mendoza and other ESA-ESTEC personnel, and Santiago Sobrino and Luis Roglá from TAS-E.

Copyright: © 2009 Universitat Politècnica de Catalunya (UPC).
Contact: lossy.nosp@m.filt.nosp@m.ers@t.nosp@m.sc.u.nosp@m.pc.ed.nosp@m.u

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program in file "LICENSE.GPL3"; if not, download it from http://www.gnu.org/licenses/gpl-3.0.html .

Additional permission under GNU GPL version 3 section 7:

If you modify this Program, or any covered work, by linking or combining it with the "Extra Filters Library" (libextrafilters), the "Lossy Filters Library" (liblossyfilters) or the "License Check Library" (libchecklicense), or modified versions of that libraries, containing parts covered by the terms described in files LICENSE.LIBEXTRAFILTERS and LICENSE.LIBLOSSYFILTERS, the licensors of this Program grant you additional permission to convey the resulting work.

Lossyfilters software GUI uses the open-source dbplot.py module, which is based in part on the work of the Qwt project (http://qwt.sf.net) and has been released by UPC under the terms of the GNU GPL version 3.

## Function Documentation

def mwfiltersgui.__init__ | ( |  | self,
|  |  | posPars,
|  |  | keyPars
| ) |  |

Derived class constructor.

List of leftYData for reverse excitation. List for all Tabs. List of rightYData for reverse excitation. List for all Tabs.

Definition at line 101 of file mwfiltersgui.py.

def mwfiltersgui.appendReverseData | ( |  | self,
|  |  | leftYDataRev,
|  |  | rightYDataRev
| ) |  |

Set YData for reverse excitation.

This method appends data to a list for all tabs, so it must be called for all tabs sequentially in tab order.

Parameters

  leftYDataRev | = Left-y data for reverse excitation.
  rightYDataRev | = Right-y data for reverse excitation.

Definition at line 182 of file mwfiltersgui.py.

def mwfiltersgui.replaceReverseData | ( |  | self,
|  |  | nTab,
|  |  | leftYDataRev,
|  |  | rightYDataRev
| ) |  |

Replace YData for reverse excitation.

Parameters

  nTab | = Tab index.
  leftYDataRev | = Left-y data for reverse excitation.
  rightYDataRev | = Right-y data for reverse excitation.

Definition at line 194 of file mwfiltersgui.py.

def mwfiltersgui.runSynthesis | ( |  | P,
|  |  | FT,
|  |  | symmetrizeZeros
| ) |  |

Runs parameter validation, filters synthesis and results plots.

Parameters

  P | = Parameters class instance containing the parameter values that will be used in the computation. May be modified during computation.
  FT | = FrequencyTransform class instance.
  symmetrizeZeros | = Automatically symmetrize Generalized Chebyshev zeros in Hz in order to compute a folded matrix with uniform Q in resonators. Equivalent to answering "Yes" in the GUI when it asks the user if he wants to symmetrize Generalized Chebyshev zeros in Hz.

Returns
  CP = CharPolys class instance, containing Characteristic Polynomials. Losses are included.
  CM = CouplingMatrices class instance, containing Coupling Matrices. Losses are included.
  SP = Sparameters class instance, containing frequency axis and [S] data. Losses are included.
  done = True if Synthesis has been done without errors, False otherwise.

Definition at line 5445 of file mwfiltersgui.py.

References libcommonfunc.criticalErrorMsg(), libcommonfunc.myPrint(), and libcommonfunc.warningMsg().

Referenced by mwfiltersgui.MainWindow.on_action_Execute_triggered().

Here is the call graph for this function:

Here is the caller graph for this function:

def mwfiltersgui.sizeHint | ( |  | self | ) |

Todo:
  Reimplment myTableWidget.resizeEvent() function to reduce size of table when there are no ScrollBars

Definition at line 990 of file mwfiltersgui.py.

def mwfiltersgui.updateExcitation | ( |  | self,
|  |  | value
| ) |  |

Update energy and power plots after excitation value has been changed by the user.

Y-axis are autoscaled after update.

Definition at line 161 of file mwfiltersgui.py.

def mwfiltersgui.updateInputPower | ( |  | self,
|  |  | value
| ) |  |

Update energy and power plots after inputPower value has been changed by the user.

Y-axis are autoscaled after update.

Definition at line 146 of file mwfiltersgui.py.

def mwfiltersgui.usage | ( |  | st,
|  |  | exit_code
| ) |  |

Print error message and command line help.

Parameters

  st | = Error message string.
  exit_code | = program exit return code.

Definition at line 5575 of file mwfiltersgui.py.

## Variable Documentation

string mwfiltersgui.applicationName = "Microwave filters GUI"

Program name as run by the user.

Definition at line 5608 of file mwfiltersgui.py.

mwfiltersgui.importedExtraFilters = False

Variable set to True if the non-free libextrafilters is available.

Otherwise set to False.

Definition at line 74 of file mwfiltersgui.py.

mwfiltersgui.importedLossyFilters = False

Variable set to True if the non-free liblossyfilters is available.

Otherwise set to False.

Definition at line 86 of file mwfiltersgui.py.

tuple mwfiltersgui.P = readParamFile(fileName)

Parameters class instance containing filter and synthesis parameters read from the parameters file.

Definition at line 5677 of file mwfiltersgui.py.

string mwfiltersgui.stFloatPoint = r'((\d+\.?\d*|\d*\.?\d+)([Ee][-+]?\d+)?)'

Create validator strings and regular expressions.

The are global variables to be accessible from everywhere.

Definition at line 5697 of file mwfiltersgui.py.